"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var aws_amplify_1 = require("aws-amplify");
var react_1 = __importDefault(require("react"));
var defaultState = {
    loading: true
};
function useCurrentAuthenticatedUser() {
    var _a = react_1.default.useState(defaultState), state = _a[0], setState = _a[1];
    react_1.default.useEffect(function () {
        aws_amplify_1.Auth.currentAuthenticatedUser({
            bypassCache: true
        })
            .then(function (data) { return setState({
            loading: false,
            user: data
        }); })
            .catch(function (error) { return setState({
            error: error,
            loading: false
        }); });
    }, []);
    return state;
}
exports.default = useCurrentAuthenticatedUser;
//# sourceMappingURL=useCurrentAuthenticatedUser.js.map